Bug 111414

Summary: [GTK] Expose "ShouldRespectImageOrientation" setting into WebKitWebSettings
Product: WebKit Reporter: Tomas Popela <tpopela>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: cgarcia, gns, mrobinson, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Proposed patch none

Description Tomas Popela 2013-03-05 00:28:20 PST
We should expose ShouldRespectImageOrientation into WebKitWebSettings as discussed here: https://lists.webkit.org/pipermail/webkit-gtk/2013-March/001372.html .
Comment 1 Tomas Popela 2013-03-05 00:36:25 PST
Created attachment 191422 [details]
Proposed patch
Comment 2 WebKit Review Bot 2013-03-05 00:47:22 PST
Attachment 191422 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit/gtk/ChangeLog', u'Source/WebKit/gtk/webkit/webkitwebsettings.cpp', u'Source/WebKit/gtk/webkit/webkitwebsettingsprivate.h', u'Source/WebKit/gtk/webkit/webkitwebview.cpp']" exit_code: 1
Source/WebKit/gtk/webkit/webkitwebsettings.cpp:284:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Martin Robinson 2013-03-06 08:12:08 PST
Comment on attachment 191422 [details]
Proposed patch

Looks good to me. Just need another review from a GTK+ port maintainer to land this one.
Comment 4 Tomas Popela 2013-03-06 08:33:04 PST
Ok.. And can we also include it in webkitgtk2.0 release?
Comment 5 Martin Robinson 2013-03-06 09:14:55 PST
We don't like to add API late in the cycle, but this seems pretty low risk. Can you add this bug to: http://trac.webkit.org/wiki/WebKitGTK/2.0.x
Comment 6 Martin Robinson 2013-03-06 09:15:20 PST
Adding a couple more port maintainers who could flip the flag here.
Comment 7 Carlos Garcia Campos 2013-03-07 06:18:39 PST
Comment on attachment 191422 [details]
Proposed patch

This looks good to me, you need approval from another reviewer since this is new API.
Comment 8 Carlos Garcia Campos 2013-03-07 06:19:42 PST
Comment on attachment 191422 [details]
Proposed patch

Martin already reviewed it, sorry.
Comment 9 WebKit Review Bot 2013-03-07 06:24:55 PST
Comment on attachment 191422 [details]
Proposed patch

Clearing flags on attachment: 191422

Committed r145070: <http://trac.webkit.org/changeset/145070>
Comment 10 WebKit Review Bot 2013-03-07 06:24:59 PST
All reviewed patches have been landed.  Closing bug.